package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.bo.PayApplicationBO;
import com.zanxiang.manage.domain.params.PayApplicationListParam;
import com.zanxiang.manage.domain.vo.PayApplicationVO;
import com.zanxiang.mybatis.entity.PayApplication;

/**
 * 游戏应用表 服务类接口
 *
 * @author xufeng
 * @date 2022-06-20 15:16
 */
public interface PayApplicationService extends IService<PayApplication> {
    /**
     * 根据id新增与更新操作
     *
     * @param bo
     * @return
     */
    Boolean saveOrUpdate(PayApplicationBO bo);

    IPage<PayApplicationVO> list(PayApplicationListParam bo);
}
