package com.zanxiang.manage.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zanxiang.common.domain.ResultVo;
import com.zanxiang.common.utils.bean.BeanUtils;
import com.zanxiang.manage.domain.bo.PayMerchantBO;
import com.zanxiang.manage.domain.params.PayMerchantListParam;
import com.zanxiang.manage.domain.params.PayMerchantParam;
import com.zanxiang.manage.domain.vo.PayMerchantVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 支付盒子
 *
 * @author xufeng
 * @date 2022-06-22 15:26
 */
@Api(tags = "支付盒子")
@RestController
@RequestMapping("/pay-box")
public class PayBoxController {
    @ApiOperation(value = "支付盒子-新增/修改/删除")
    @PostMapping(value = "/save")
    public ResultVo<Boolean> save(@Validated @RequestBody PayMerchantParam param) {
        return null;
    }

    @ApiOperation(value = "商户号-列表")
    @PostMapping(value = "/list")
    public ResultVo<IPage<PayMerchantVO>> list(@Validated @RequestBody PayMerchantListParam param) {
        return null;
    }
}
